export default function IconSlack({ width, height }) {
  return (
    <svg
      width={`${width}px`}
      height={`${height}px`}
      viewBox="0 0 24 24"
      fill="currentColor"
    >
      <path d="M9.09777 5.62229C7.82574 5.62229 6.78662 4.58317 6.78662 3.31115C6.78662 2.03912 7.82574 1 9.09777 1C10.3698 1 11.4089 2.03912 11.4089 3.31115V5.62229H9.09777Z" />
      <path d="M3.31115 17.2121C4.58317 17.2121 5.62229 16.173 5.62229 14.901V12.5898H3.31115C2.03912 12.5898 1 13.629 1 14.901C1 16.173 2.03912 17.2121 3.31115 17.2121Z" />
      <path d="M9.09777 12.5898C7.82574 12.5898 6.78662 13.629 6.78662 14.901V20.6878C6.78662 21.9598 7.82574 22.999 9.09777 22.999C10.3698 22.999 11.4089 21.9598 11.4089 20.6878V14.901C11.4089 13.629 10.3698 12.5898 9.09777 12.5898Z" />
      <path d="M11.4091 9.10021C11.4091 7.82818 10.37 6.78906 9.09797 6.78906H3.31115C2.03912 6.78906 1 7.82818 1 9.10021C1 10.3722 2.03912 11.4114 3.31115 11.4114H9.09797C10.37 11.4114 11.4091 10.3722 11.4091 9.10021Z" />
      <path d="M18.3784 9.10021C18.3784 7.82818 19.4175 6.78906 20.6896 6.78906C21.9616 6.78906 23.0007 7.82818 23.0007 9.10021C23.0007 10.3722 21.9616 11.4114 20.6896 11.4114H18.3784V9.10021Z" />
      <path d="M14.9029 11.4091C16.175 11.4091 17.2141 10.37 17.2141 9.09797V3.31115C17.2141 2.03912 16.175 1 14.9029 1C13.6309 1 12.5918 2.03912 12.5918 3.31115V9.09797C12.5918 10.37 13.6309 11.4091 14.9029 11.4091Z" />
      <path d="M14.9029 18.3789C16.175 18.3789 17.2141 19.418 17.2141 20.6901C17.2141 21.9621 16.175 23.0012 14.9029 23.0012C13.6309 23.0012 12.5918 21.9621 12.5918 20.6901V18.3789H14.9029Z" />
      <path d="M12.5918 14.901C12.5918 16.173 13.6309 17.2121 14.9029 17.2121H20.6898C21.9618 17.2121 23.0009 16.173 23.0009 14.901C23.0009 13.629 21.9618 12.5898 20.6898 12.5898H14.9029C13.6309 12.5898 12.5918 13.629 12.5918 14.901Z" />
    </svg>
  )
}
